### File

`src/lib/data-grid-header-cell-def.directive.ts`

### Index

###### Properties
$implicit

### Properties

$implicit
`$implicit: `string``
Type : `string`

    import {
      Directive,
      Inject,
      TemplateRef,
    } from '@angular/core';

    export interface DataGridHeaderCellDefDirectiveContext {
      $implicit: string;
    }

    @Directive({
      selector: '[rxapDataGridHeaderCellDef]',
      standalone: true,
    })
    export class DataGridHeaderCellDefDirective {
      public static ngTemplateContextGuard(
        dir: DataGridHeaderCellDefDirective,
        ctx: any,
      ): ctx is DataGridHeaderCellDefDirectiveContext {
        return true;
      }

      constructor(
        @Inject(TemplateRef)
        public template: TemplateRef<DataGridHeaderCellDefDirectiveContext>,
      ) {
      }
    }

# results matching ""

# No results matching ""